Page MenuHomePhabricator

Enable Phan and seccheck on WebAuthn extension
Closed, ResolvedPublic

Description

When we have some code merged, we should ideally get extension-phan and extension-seccheck running on the WebAuthn repo (like we do elsewhere and also on OATHAuth)

But extension-seccheck does have tests running on php70 built in... So we might want to use extension-seccheck-non-voting instead and just take note of php72 fails... Or rather than adding more skip-if for it...

Details

Related Gerrit Patches:
integration/config : masterMake seccheck voting on WebAuthn
integration/config : masterEnable extension-seccheck-non-voting on WebAuthn
integration/config : masterEnable phan on WebAuthn

Event Timeline

Reedy created this task.Jun 27 2019, 4:55 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 27 2019, 4:55 PM

Change 519454 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Enable phan on WebAuthn

https://gerrit.wikimedia.org/r/519454

Change 519455 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Enable extension-seccheck-non-voting on WebAuthn

https://gerrit.wikimedia.org/r/519455

Change 519456 had a related patch set uploaded (by Reedy; owner: Reedy):
[integration/config@master] Make seccheck voting on WebAuthn

https://gerrit.wikimedia.org/r/519456

Change 519454 merged by jenkins-bot:
[integration/config@master] Enable phan on WebAuthn

https://gerrit.wikimedia.org/r/519454

Change 519455 merged by jenkins-bot:
[integration/config@master] Enable extension-seccheck-non-voting on WebAuthn

https://gerrit.wikimedia.org/r/519455

Change 519456 merged by jenkins-bot:
[integration/config@master] Make seccheck voting on WebAuthn

https://gerrit.wikimedia.org/r/519456

Mentioned in SAL (#wikimedia-releng) [2019-07-12T22:10:27Z] <James_F> Zuul: Make seccheck voting on WebAuthn T226737

Jdforrester-WMF closed this task as Resolved.Jul 12 2019, 10:10 PM
Jdforrester-WMF claimed this task.